Skip to main content
GET
/
streams
List streams
curl --request GET \
  --url https://api.prequel.co/import/streams \
  --header 'X-API-KEY: <api-key>'
{
  "status": "success",
  "has_next": true,
  "streams": [
    {
      "name": "<string>",
      "destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "mappings": [
        {}
      ],
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_valid": true,
      "is_enabled": true
    }
  ],
  "next_url": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Query Parameters

cursor
string

Opaque cursor for pagination.

page_size
integer
default:10
Required range: 1 <= x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc

Response

Success

status
string
required
Example:

"success"

has_next
boolean
required
streams
object[]
required
next_url
string<uri> | null